

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/ipmi/ipmi_smb.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN drivers/char/ipmi/ipmi_smb.c~add-the-ipmi-smbus-driver-fix drivers/char/ipmi/ipmi_smb.c
--- 25/drivers/char/ipmi/ipmi_smb.c~add-the-ipmi-smbus-driver-fix	2005-02-02 20:12:58.686790944 -0800
+++ 25-akpm/drivers/char/ipmi/ipmi_smb.c	2005-02-02 20:12:58.691790184 -0800
@@ -363,6 +363,8 @@ static void msg_done_handler(struct i2c_
 	if (result < 0) {
 		smb_info->retries_left--;
 		if (smb_info->retries_left > 0) {
+			struct timer_list *t;
+
 			if ((smb_info->retries_left
 			     % SMB_MSG_RETRY_WRITE_COUNT) == 0)
 			{
@@ -373,7 +375,7 @@ static void msg_done_handler(struct i2c_
 				/* If start_resend fails, just restart
 				   the timer. */
 			}
-			struct timer_list *t = &smb_info->retry_timer;
+			t = &smb_info->retry_timer;
 			t->expires = jiffies + 10;
 			t->data = (unsigned long) smb_info;
 			t->function = retry_timeout;
_
